package ink.wgink.module.file.media.pojo.vos;

import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MediaVO
 * @Description: 媒体
 * @Author: WangGeng
 * @Date: 2021/6/9 23:10
 * @Version: 1.0
 **/
public class MediaVO {

    private String fileName;
    private String filePath;
    private String fileFullPath;
    private String fileUrl;
    private String fileType;
    private Long fileSize;
    private String fileSummary;
    private String fileMd5;
    private Integer isBack;
    private String staticUrl;

    public String getFileName() {
        return fileName == null ? "" : fileName.trim();
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath == null ? "" : filePath.trim();
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileFullPath() {
        return fileFullPath == null ? "" : fileFullPath.trim();
    }

    public void setFileFullPath(String fileFullPath) {
        this.fileFullPath = fileFullPath;
    }

    public String getFileUrl() {
        return fileUrl == null ? "" : fileUrl.trim();
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileType() {
        return fileType == null ? "" : fileType.trim();
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Long getFileSize() {
        return fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getFileSummary() {
        return fileSummary == null ? "" : fileSummary.trim();
    }

    public void setFileSummary(String fileSummary) {
        this.fileSummary = fileSummary;
    }

    public String getFileMd5() {
        return fileMd5 == null ? "" : fileMd5.trim();
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public Integer getIsBack() {
        return isBack == null ? 0 : isBack;
    }

    public void setIsBack(Integer isBack) {
        this.isBack = isBack;
    }

    public String getStaticUrl() {
        return staticUrl == null ? "" : staticUrl;
    }

    public void setStaticUrl(String staticUrl) {
        this.staticUrl = staticUrl;
    }
}
